Get Team
Reference for the GET /console/v1/users/teams/{id} endpoint of the Statsig API.
https://statsigapi.net/console/v1/users/teams/{id}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
namestringrequiredThe name of the team.
descriptionstringDescription of the team.
idstringrequiredThe ID of the team.
defaultGateMetricsobject[]requiredDefault gate metrics for the team.
namestringrequiredThe name of the metric.
typestringrequiredThe type of the metric.
defaultExperimentPrimaryMetricsobject[]requiredDefault primary metrics for experiments in the team.
namestringrequiredThe name of the metric.
typestringrequiredThe type of the metric.
defaultExperimentSecondaryMetricsobject[]requiredDefault secondary metrics for experiments in the team.
namestringrequiredThe name of the metric.
typestringrequiredThe type of the metric.
defaultHoldoutMetricsobject[]requiredDefault holdout metrics for the team.
namestringrequiredThe name of the metric.
typestringrequiredThe type of the metric.
changeTeamConfigsstringrequiredWho can change team configurations: "anyone" or "team_only".
anyoneteam_onlyreviewApprovalstringrequiredWho can review and approve changes: "anyone", "team_only", or "admin_only".
anyoneteam_onlyadmin_onlydefaultTargetApplicationsstring[]requiredDefault target applications for the team.
defaultHoldoutIDstringDefault holdout ID for the team, if applicable.
nullablerequireReviewsbooleanWhether reviews are required for changes, if applicable.
nullablerequireGateTemplatesbooleanWhether gate templates are required for the team, if applicable.
nullablerequireExperimentTemplatesbooleanWhether experiment templates are required for the team, if applicable.
nullablerequireDynamicConfigTemplatesbooleanWhether dynamic config templates are required for the team, if applicable.
nullablemembersobject[]requireduserIDstringrequiredThe user's unique ID.
emailstringrequiredThe email address of the user.
format: emailfirstNamestringrequiredThe user's first name.
lastNamestringrequiredThe user's last name.
rolestringrequiredThe user's role, which can be 'Admin', 'Read Only', 'Member', or any custom role name.
adminsobject[]requireduserIDstringrequiredThe user's unique ID.
emailstringrequiredThe email address of the user.
format: emailfirstNamestringrequiredThe user's first name.
lastNamestringrequiredThe user's last name.
rolestringrequiredThe user's role, which can be 'Admin', 'Read Only', 'Member', or any custom role name.
statusintegerrequired400messagestringrequiredstatusintegerrequired401messagestringrequiredWas this helpful?